Bug 1179379 - gzip: stdin: file size changed while zipping when rotating logfile
Summary: gzip: stdin: file size changed while zipping when rotating logfile
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sssd
Version: 21
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jakub Hrozek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-06 16:20 UTC by Orion Poplawski
Modified: 2020-05-02 17:54 UTC (History)
9 users (show)

Fixed In Version: sssd-1.12.3-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-17 23:57:51 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github SSSD sssd issues 3589 0 None closed gzip: stdin: file size changed while zipping when rotating logfile 2021-01-14 21:30:51 UTC

Description Orion Poplawski 2015-01-06 16:20:40 UTC
Description of problem:

With debugging enabled in sssd, you can get the following from logrotate:

/etc/cron.daily/logrotate:

gzip: stdin: file size changed while zipping

This can be avoided by using the 'delaycompress' option instead of 'compress'.  Or perhaps a quicker closing of the sssd log files?

Version-Release number of selected component (if applicable):
sssd-1.11.7-4.fc20.x86_64

Comment 1 Jakub Hrozek 2015-01-07 15:40:27 UTC
Thank you for reporting the bug. We need to investigate which of the two solutions would be better upstream.

Comment 2 Jakub Hrozek 2015-01-07 15:43:25 UTC
Upstream ticket:
https://fedorahosted.org/sssd/ticket/2547

Comment 3 Lukas Slebodnik 2015-01-09 16:57:50 UTC
(In reply to Orion Poplawski from comment #0)
> Description of problem:
> This can be avoided by using the 'delaycompress' option instead of
> 'compress'.  Or perhaps a quicker closing of the sssd log files?

'delaycompress' should be used together with 'compress'

man logrotate -> delaycompress
  This only has effect when used in combination with compress.

You can modify file /etc/logrotate.d/sssd on your own.
Therefore I would like to move this BZ to fedora 21.
Are you fine with such solution?

Comment 4 Orion Poplawski 2015-01-09 17:00:29 UTC
Definitely.  Thanks.

Comment 5 Lukas Slebodnik 2015-01-09 17:20:16 UTC
* master: 565eb6fa43e74e2fbfff00dc29fdb20c5544a3d2
* sssd-1-12: 1d39190e64b84e12c41706d450fc9531888707c0

Comment 6 Fedora Update System 2015-01-09 20:13:01 UTC
sssd-1.12.3-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sssd-1.12.3-2.fc21

Comment 7 Fedora Update System 2015-01-10 11:55:53 UTC
sssd-1.12.3-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2015-01-17 23:57:51 UTC
sssd-1.12.3-2.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.